apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ .Values.shoppingassistantservice.app }}-deployment"      # name of the deployment
  labels:
    app: {{ .Values.shoppingassistantservice.app }}          # label used by the service to select the deployment
spec:
  selector:
    matchLabels:
      app: {{ .Values.shoppingassistantservice.app }}
  template:                   # configures the pods that the deployment will manage
    metadata:
      labels:
        app: {{ .Values.shoppingassistantservice.app }}            # label used to select the pods managed by the deployment
    spec:
      containers:             # list of containers to run in the pod
      - name: {{ .Values.shoppingassistantservice.app }}
        image: {{ .Values.shoppingassistantservice.image }}
        ports:
        - containerPort: {{ .Values.shoppingassistantservice.ports.targetPort }}
        resources:
          requests:
            ephemeral-storage: "100Mi"
          limits:
            ephemeral-storage: "200Mi"